org.apache.solr.common.params

## Interface CollectionAdminParams

    public interface CollectionAdminParams

### Field Summary

Fields
`static String` `COLLECTION`
`static String` `COPY_FILES_STRATEGY` This constant defines the index backup strategy based on copying index files to desired location.
`static String` `COUNT_PROP`
`static String` `CREATE_NODE_SET_PARAM` A parameter to specify list of Solr nodes to be used (e.g.
`static String` `CREATE_NODE_SET_SHUFFLE_PARAM` A parameter which specifies if the provided list of Solr nodes (via CREATE_NODE_SET_PARAM) should be shuffled before being used.
`static String` `FLUSH`
`static Collection<String>` `INDEX_BACKUP_STRATEGIES` This constant defines a list of valid index backup strategies.
`static String` `INDEX_BACKUP_STRATEGY` A parameter to specify the name of the index backup strategy to be used.
`static String` `NO_INDEX_BACKUP_STRATEGY` This constant defines the strategy to not copy index files (useful for meta-data only backup).

### Field Detail

#### FLUSH

    static final String FLUSH

See Also:
  Constant Field Values

#### COLLECTION

    static final String COLLECTION

See Also:
  Constant Field Values

#### COUNT_PROP

    static final String COUNT_PROP

See Also:
  Constant Field Values

#### CREATE_NODE_SET_PARAM

    static final String CREATE_NODE_SET_PARAM

A parameter to specify list of Solr nodes to be used (e.g. for collection creation or restore operation).

See Also:
  Constant Field Values

#### CREATE_NODE_SET_SHUFFLE_PARAM

    static final String CREATE_NODE_SET_SHUFFLE_PARAM

A parameter which specifies if the provided list of Solr nodes (via CREATE_NODE_SET_PARAM) should be shuffled before being used.

See Also:
  Constant Field Values

#### INDEX_BACKUP_STRATEGY

    static final String INDEX_BACKUP_STRATEGY

A parameter to specify the name of the index backup strategy to be used.

See Also:
  Constant Field Values

#### COPY_FILES_STRATEGY

    static final String COPY_FILES_STRATEGY

This constant defines the index backup strategy based on copying index files to desired location.

See Also:
  Constant Field Values

#### NO_INDEX_BACKUP_STRATEGY

    static final String NO_INDEX_BACKUP_STRATEGY

This constant defines the strategy to not copy index files (useful for meta-data only backup).

See Also:
  Constant Field Values

#### INDEX_BACKUP_STRATEGIES

    static final Collection<String> INDEX_BACKUP_STRATEGIES

This constant defines a list of valid index backup strategies.